<script setup lang="ts">
import { useRouter } from 'vue-router'

const router = useRouter()
function toHomePage() {
  router.replace({ name: 'Home' })
}
</script>

<template>
  <div class="h-screen overflow-hidden">
    <div class="absolute left-10 top-10">
      <n-button type="primary" @click="toHomePage">返回首页</n-button>
    </div>

    <div class="flex h-full items-center justify-center">
      <img
        class="w-10/12 transition-[width] duration-200 ease-linear sm:w-5/12"
        src="@/assets/svgs/500.svg"
        alt="500"
      />
    </div>
  </div>
</template>
